All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.security
Interface RemoteNameCallbackInterface

All Superinterfaces:
  javax.security.auth.callback.Callback, java.rmi.Remote, RemoteCallbackInterface

All Known Implementing Classes:
  RemoteNameCallback

    public interface RemoteNameCallbackInterface

extends RemoteCallbackInterface

Interface for a remote version of the NameCallback defined in the javax.security.auth.callback package.

Since:
  1.0

Method Summary
`abstract java.lang.String` | `getDefaultName()` Get the default name for this callback.
`abstract java.lang.String` | `getName()` Get the name that was set by the callback handler, hopefully provided by the user.
`abstract java.lang.String` | `getPrompt()` Get the prompt string to use when asking for the name.
`abstract void` | `setName(java.lang.String name)` Set the name provided by the user.

Method Detail

### getDefaultName

    java.lang.String getDefaultName()
                                    throws java.rmi.RemoteException

  Get the default name for this callback. This is set in the constructor.

  Returns:
    The default name for this callback, or null if none was provided.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getPrompt

    java.lang.String getPrompt()
                               throws java.rmi.RemoteException

  Get the prompt string to use when asking for the name.

  Returns:
    The prompt string, or null if none was set by the constructor.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Get the name that was set by the callback handler, hopefully provided by the user.

  Returns:
    The name set by the callback handler, or null if none was entered.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### setName

    void setName(java.lang.String name)
                 throws java.rmi.RemoteException

  Set the name provided by the user. This method is called by the callback handler.

  Parameters:
    `name` - The name provided by the user to authenticate.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.